# Spectral Primary Decomposition for Rendering with sRGB Reflectances

These are the supplemental materials for our EGSR 2019 paper "Spectral Primary Decomposition for
Rendering with sRGB Reflectance".

Contents:

	"basis-solver/"
		Contains the MATLAB code and required data used for our optimization process.  As-
		configured, it generates the basis used in our results.  We enforce the partition of unity
		as an inequality, but this does not affect the correctness of the outcome.

	"gradients-and-illuminants/"
		Contains code for testing smooth color gradients and illuminants, as-in figure 4 of the
		paper.  Note that this depends on data in the renderer below; downloading that into
		"simple-spectral/" will make it happy.

	"cie-standard-observers.pdf"
		A larger diagram of the CIE standard observer functions in figure 2 of the paper.

	"primaries-visualization.html"
		A small webpage which shows how our method can compute an output spectrum as a linear
		combination of input spectra.  We already report round-trip error and display the colors
		produced.  We created this visualization because it may seem counterintuitive our approach
		works at all, and this helps build intuition.

	"README.md"
		This document.

	"simple-spectral.html"
		Redirects to the Github repository:
			https://github.com/imallett/simple-spectral
		This project implements the simple spectral demonstration renderer used to generate the
		results in our paper.  Setup is standard CMake (see "simple-spectral/README.md" for
		details).
